Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.filter
Interface AbleTranslateTemplateProvider

All Known Implementing Classes:
  AbleBackPropagation, AbleDecisionTree, AbleKnn, AbleNaiveBayes, AbleNaiveBayesDistributed, AbleRadialBasisFunctionNet, AbleSelfOrganizingMap

public interface AbleTranslateTemplateProvider

This interface allows beans to supply any unique behavior required for their inputs and outputs.

Method Summary
`void` | `generateTranslateTemplates(AbleFilter inFilter, AbleFilter outFilter, java.util.Vector fields)` Populate a filter for converting data to a bean's input specifications, and a filter for converting a bean's output specifications back to the original coordinates.

Method Detail

### generateTranslateTemplates

    public void generateTranslateTemplates(AbleFilter inFilter,
                                           AbleFilter outFilter,
                                           java.util.Vector fields)
                                    throws AbleException

  Populate a filter for converting data to a bean's input specifications, and a filter for converting a bean's output specifications back to the original coordinates. Translate templates are added to each filter for each field as appropriate for its field usage and datatype. A bean who wishes to provide only default templates can use the static link provided in `AbleFilter.generateTranslateTemplates(com.ibm.able.beans.filter.AbleFilter, com.ibm.able.beans.filter.AbleFilter, java.util.Vector)`

  Parameters:
    `inFilter` - The AbleFilter used to convert incoming data.
    `outFilter` - The AbleFilter used to convert outgoing data.
    `fields` - A vector of AbleFields from which to derive the translation template.
  Returns:
    An array containing two AbleFilter objectshe translation template.
  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005